Bug 910883 - (CVE-2013-0216, CVE-2013-0217) CVE-2013-0216 CVE-2013-0217 kernel: xen: Linux netback DoS via malicious guest ring.
CVE-2013-0216 CVE-2013-0217 kernel: xen: Linux netback DoS via malicious gues...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130205,repor...
: Security
Depends On: 910884 910885 910886
Blocks: 910879
  Show dependency treegraph
 
Reported: 2013-02-13 14:15 EST by Petr Matousek
Modified: 2015-02-16 10:46 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-16 15:25:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-02-13 14:15:33 EST
The Xen netback implementation contains a couple of flaws which can allow a guest to cause a DoS in the backend domain, potentially affecting other domains in the system.

CVE-2013-0216 is a failure to sanity check the ring producer/consumer pointers which can allow a guest to cause netback to loop for an extended period preventing other work from occurring.

CVE-2013-0217 is a memory leak on an error path which is guest triggerable.

A malicious guest with access to PV network devices can mount a DoS affecting the entire system.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Petr Matousek 2013-02-13 14:20:23 EST
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 910886]
Comment 4 Petr Matousek 2013-02-13 14:25:48 EST
Statement CVE-2013-0216:

This issue did affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.
Comment 5 Petr Matousek 2013-02-13 14:26:11 EST
Statement CVE-2013-0217: 

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.
Comment 19 errata-xmlrpc 2013-04-16 15:04:41 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0747 https://rhn.redhat.com/errata/RHSA-2013-0747.html

Note You need to log in before you can comment on or make changes to this bug.